View Issue Details

IDProjectCategoryView StatusLast Update
0000474Ham Radio DeluxeEnhancementpublic2017-08-05 18:58
ReporterWA9PIE 
Assigned ToK7ZCZ 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.659 
Summary0000474: Add Remember column widths; eliminate empty columns
DescriptionThis is a long-standing problem that MANY folks have complained about. For the log, subsequent filter (searches), awards, and cluster... folks want the column widths remembered and they want empty columns eliminated.
TagsNo tags attached.
ModuleLogbook
Sub-Module(select)
Testing Beta Successful

Relationships

has duplicate 0000502 closedK7ZCZ Logbook does not retain Layout and Column Widths 

Activities

K7ZCZ

2017-06-06 15:25

viewer   ~0003203

Not sure when we'd eliminate empty columns -- that might turn into confusion or an inconvenience. If we come up with some ideas for that, let's open a new issue and track it there.

For this issue, I can get the persistence sorted out so that we keep widths for columns in the logbook window. That sounds like a convenient fix.

K7ZCZ

2017-06-15 11:01

viewer   ~0003210

fix for persisting widths checked in as change #3496

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3496

WA9PIE

2017-06-19 02:07

administrator   ~0003220

Confirmed as complete.

WA9PIE

2017-06-21 22:24

administrator   ~0003250

We'll need to leave issues "Assigned" until verified... then change to "Resolved"

I'll document this in process.

g3ucq

2017-06-24 04:26

viewer   ~0003284

Column widths remembered.
The Logbook Display always opens which affects the layout of the columns. I don't need to see the Display every time.
How can I stop that showing? When I close the Display the Logbook window does not resize so the right column is much wider than it should be.

w4ase

2017-06-24 07:55

viewer   ~0003289

This one is fixed.....take a bow.

w4ase

2017-06-24 09:36

viewer   ~0003297

I forgot to mention - I do see "The Column Widths have change save in profile named W4ASE"

WA9PIE

2017-06-25 22:06

administrator   ~0003316

This is fixed... fantastic... long-standing request that people will love.

WA9PIE

2017-07-04 23:30

administrator   ~0003490

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003525

Waiting to close them until a final item is tested.

g3ucq

2017-07-05 03:49

viewer   ~0003532

Fixed

WA9PIE

2017-07-05 19:39

administrator   ~0003562

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2013-12-21 18:56 W4PC New Issue
2013-12-21 18:58 W4PC Project 2 - Next Dev List (Holding Area) => @5@
2014-01-31 14:49 WA9PIE Project @5@ => @6@
2014-02-02 09:59 WA9PIE Release => (select)
2014-02-02 09:59 WA9PIE Module => (select)
2014-02-02 09:59 WA9PIE Sub-Module => (select)
2014-02-02 09:59 WA9PIE Report Build => (select)
2014-02-02 09:59 WA9PIE Summary Add Remember column widths; eliminate empty columns => Enhancement: Add Remember column widths; eliminate empty columns
2014-02-02 10:09 WA9PIE Status new => confirmed
2015-09-17 13:03 WA9PIE Module (select) => Logbook
2015-09-17 13:18 WA9PIE Category Logbook => Enhancement
2015-09-17 13:18 WA9PIE Project @6@ => 1 - Backlog
2015-09-29 17:25 WA9PIE Fix Build => (select)
2015-09-29 17:25 WA9PIE Summary Enhancement: Add Remember column widths; eliminate empty columns => Add Remember column widths; eliminate empty columns
2017-05-23 15:23 WA9PIE Severity minor => feature
2017-06-06 14:21 K7ZCZ Assigned To => K7ZCZ
2017-06-06 14:21 K7ZCZ Status confirmed => assigned
2017-06-06 15:25 K7ZCZ Note Added: 0003203
2017-06-15 11:01 K7ZCZ Note Added: 0003210
2017-06-15 18:40 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2017-06-19 02:07 WA9PIE Note Added: 0003220
2017-06-19 09:49 WA9PIE Fixed in Version => 6.4.0.650
2017-06-19 09:49 WA9PIE Fixed in Release => TBD
2017-06-20 21:34 K7ZCZ Relationship added has duplicate 0000502
2017-06-21 22:06 K7ZCZ Status assigned => resolved
2017-06-21 22:06 K7ZCZ Resolution open => fixed
2017-06-21 22:24 WA9PIE Status resolved => assigned
2017-06-21 22:24 WA9PIE Note Added: 0003250
2017-06-24 04:26 g3ucq Note Added: 0003284
2017-06-24 07:55 w4ase Note Added: 0003289
2017-06-24 09:36 w4ase Note Added: 0003297
2017-06-25 22:06 WA9PIE Status assigned => resolved
2017-06-25 22:06 WA9PIE Note Added: 0003316
2017-06-25 22:46 WA9PIE Testing => Beta Passed
2017-07-01 08:24 WA9PIE Target Version => 6.4.0.650
2017-07-01 08:25 WA9PIE Fixed in Version 6.4.0.650 => 6.4.0.657
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003490
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003525
2017-07-05 03:49 g3ucq Note Added: 0003532
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003562
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 18:59 WA9PIE Testing => Beta Successful
2017-08-05 18:58 WA9PIE Target Version 6.4.0.650 =>